import request from '@/utils/request'

// 设置代理升级
export function getList(params) {
  return request({
    url: '/store/get_store_reward_list',
    method: 'get',
    params
  })
}

// 设置代理升级
export function getNoList(params) {
  return request({
    url: '/store/get_store_no_reward_list',
    method: 'get',
    params
  })
}

// 获取兑换价格
export function getExchangePrice(params) {
  return request({
    url: '/store/get_store_info',
    method: 'get',
    params
  })
}

// 工作室兑换
export function submitGzsExchange(data) {
  return request({
    url: '/store/settlement',
    method: 'post',
    data
  })
}

// 撤销兑换
export function cancelExchange(data) {
  return request({
    url: '/store/undo_store_rewards_info',
    method: 'post',
    data
  })
}
